Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000013bareos-core[All Projects] Generalpublic2012-12-09 21:272015-03-25 19:19
Reportermvwieringen 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOpenIndianaOSOpenIndianaOS Versionb151a
Product Version13.1.0 
Target Version13.1.0Fixed in Version13.1.0 
Summary0000013: Allow cancel by JobId on storage daemon.
DescriptionSometimes the Director already removed the Job from its running queue
but the Storage daemon still thinks it doing a backup (or other Job)
and you cannot cancel the Job from within a console anymore.
Additional InformationAllows you to cancel a Storage Daemon Job by JobId. E.g. do
a status sd on the Storage Daemon make sure what Job you want to cancel
and issue a cancel storage=<Storage Daemon> Jobid=<JobId> This way you
can also remove a Job that blocks any other Jobs from running without
the need to restart the whole Storage Daemon.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0000626)
mvwieringen adm (administrator)
2013-08-13 03:12

Fix committed to bareos master branch with changesetid 844.
(0001432)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-13.2 branch with changesetid 4400.
(0001592)
joergs (administrator)
2015-03-25 19:19

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: master d72cca4b
Timestamp: 2013-05-04 18:34:29
Author: mvwieringen adm
Ported: N/A
Details ] Diff ]
Allow cancel by JobId on storage daemon.

Sometimes the Director already removed the Job from its running queue
but the Storage daemon still thinks it doing a backup (or other Job)
and you cannot cancel the Job from within a console anymore. This piece
of code allows you to cancel a Storage Daemon Job by JobId. E.g. do
a status sd on the Storage Daemon make sure what Job you want to cancel
and issue a cancel storage=<Storage Daemon> Jobid=<JobId> This way you
can also remove a Job that blocks any other Jobs from running without
the need to restart the whole Storage Daemon.

Fixes 0000013: Allow cancel by JobId on storage daemon.
mod - src/stored/dircmd.c Diff ] File ]
mod - src/dird/ua_cmds.c Diff ] File ]
mod - src/dird/sd_cmds.c Diff ] File ]
mod - src/dird/protos.h Diff ] File ]
bareos2015: bareos-13.2 61f514ae
Timestamp: 2013-05-04 20:34:29
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Allow cancel by JobId on storage daemon.

Sometimes the Director already removed the Job from its running queue
but the Storage daemon still thinks it doing a backup (or other Job)
and you cannot cancel the Job from within a console anymore. This piece
of code allows you to cancel a Storage Daemon Job by JobId. E.g. do
a status sd on the Storage Daemon make sure what Job you want to cancel
and issue a cancel storage=<Storage Daemon> Jobid=<JobId> This way you
can also remove a Job that blocks any other Jobs from running without
the need to restart the whole Storage Daemon.

Fixes 0000013: Allow cancel by JobId on storage daemon.
mod - src/dird/protos.h Diff ] File ]
mod - src/dird/sd_cmds.c Diff ] File ]
mod - src/dird/ua_cmds.c Diff ] File ]
mod - src/stored/dircmd.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-12-09 21:27 mvwieringen New Issue
2012-12-09 21:28 mvwieringen Assigned To => mvwieringen
2012-12-09 21:28 mvwieringen Status new => assigned
2012-12-24 19:18 mvwieringen Product Version 12.4.0 => 13.1.0
2013-02-13 18:56 mvwieringen Changeset attached => bareos master 638bb93e
2013-02-13 18:56 mvwieringen Note Added: 0000095
2013-02-13 18:56 mvwieringen Status assigned => closed
2013-02-13 18:56 mvwieringen Resolution open => fixed
2013-02-13 19:08 mvwieringen Target Version => 13.1.0
2013-02-13 19:08 mvwieringen Fixed in Version 12.4.0 => 13.1.0
2013-02-13 19:08 mvwieringen Assigned To mvwieringen =>
2013-03-04 10:29 mvwieringen Product Version => 13.1.0
2013-03-04 10:29 mvwieringen Fixed in Version => 13.1.0
2013-03-04 10:29 mvwieringen Target Version => 13.1.0
2013-05-24 12:51 pstorz Assigned To => pstorz
2013-05-24 12:51 pstorz Status closed => resolved
2013-07-04 13:03 pstorz Status resolved => closed
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master d72cca4b
2013-08-13 03:12 mvwieringen adm Note Added: 0000626
2013-08-13 03:12 mvwieringen adm Assigned To pstorz => mvwieringen adm
2013-08-13 03:12 mvwieringen adm Status closed => resolved
2013-08-13 08:48 mvwieringen adm Note Deleted: 0000095
2013-08-13 08:48 mvwieringen adm Assigned To mvwieringen adm =>
2013-08-13 08:48 mvwieringen adm Status resolved => closed
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 61f514ae
2015-03-25 16:51 mvwieringen Note Added: 0001432
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:19 joergs Note Added: 0001592
2015-03-25 19:19 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker